Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.mvc.servlet
Class AbstractFlowHandler

    java.lang.Object
      org.springframework.webflow.mvc.servlet.AbstractFlowHandler

All Implemented Interfaces:
  FlowHandler

    public class AbstractFlowHandler

extends java.lang.Object
implements FlowHandler

Trivial flow handler base class that simply returns null for all operations. Subclasses should extend and override which operations they need.

Author:
  Keith Donald

Constructor Summary
`AbstractFlowHandler()`

Method Summary
`MutableAttributeMap` | `createExecutionInputMap(javax.servlet.http.HttpServletRequest request)` Creates the flow execution input map to pass to a new instance of the flow being started.
`java.lang.String` | `getFlowId()` Returns the id of the flow handled by this handler.
`java.lang.String` | `handleException(FlowException e, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles a flow exception that was not handled by the Web Flow system.
`java.lang.String` | `handleExecutionOutcome(FlowExecutionOutcome outcome, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles a specific flow execution outcome.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractFlowHandler

    public AbstractFlowHandler()

Method Detail

### getFlowId

    public java.lang.String getFlowId()

  Description copied from interface: `FlowHandler`
  Returns the id of the flow handled by this handler. Used by a Controller to load the flow definition. Optional.

  Specified by:
    `getFlowId` in interface `FlowHandler`
  Returns:
    the flow id, or null if the flow id should be determined by the caller

### createExecutionInputMap

    public MutableAttributeMap createExecutionInputMap(javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `FlowHandler`
  Creates the flow execution input map to pass to a new instance of the flow being started. Used by a Controller to launch the flow execution with the correct input.

  Specified by:
    `createExecutionInputMap` in interface `FlowHandler`
  Parameters:
    `request` - the current request
  Returns:
    the input map, or null if the contents of the input map should be determined by the caller

### handleExecutionOutcome

    public java.lang.String handleExecutionOutcome(FlowExecutionOutcome outcome,
                                                   javax.servlet.http.HttpServletRequest request,
                                                   javax.servlet.http.HttpServletResponse response)

  Description copied from interface: `FlowHandler`
  Handles a specific flow execution outcome. Used by a Controller to get the location of the resource to redirect to after the outcome is handled.

  The following prefixes are supported for qualifying the returned location string:

  - servletRelative: - the location is relative to the current servlet
  - contextRelative: - the location is relative to the current web application
  - serverRelative: - the location is relative to the server root
  If the returned location is a path with no prefix, for example "/hotels/index", it is treated as relative to the current servlet by default. Fully qualified URLs beginning with http:// or https:// may also be returned.

  For servlet-relative, context-relative, and server-relative URLs, a leading slash is optional.

  Specified by:
    `handleExecutionOutcome` in interface `FlowHandler`
  Parameters:
    `outcome` - the outcome that was reached
    `request` - the current request
    `response` - the current response
  Returns:
    the location of the new resource to redirect to, or null if the execution outcome was not handled and should be handled by the caller

### handleException

    public java.lang.String handleException(FlowException e,
                                            javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response)

  Description copied from interface: `FlowHandler`
  Handles a flow exception that was not handled by the Web Flow system. Used by a Controller to handle a specific type of exception dealing with this flow in a custom manner.

  Specified by:
    `handleException` in interface `FlowHandler`
  Parameters:
    `e` - the unhandled exception originating from Spring Web Flow. May be thrown by the flow execution itself or the flow executor system if no execution could be restored.
    `request` - the current request
    `response` - the current response
  Returns:
    the location of the error resource to redirect to, or null if the execution outcome was not handled and should be handled by the caller

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD